> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an encryption key

> Retrieves an encryption key by UUID, including the decrypted key. Requires company admin.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /encryption-keys/{uuid}
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /encryption-keys/{uuid}:
    get:
      tags:
        - Encryption Keys
      summary: Get an encryption key
      description: >-
        Retrieves an encryption key by UUID, including the decrypted key.
        Requires company admin.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsEncryptionKeyDetail'
          description: OK
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    PayloadsEncryptionKeyDetail:
      properties:
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        key:
          type: string
        kmsKeyUUID:
          format: uuid
          nullable: true
          type: string
        name:
          type: string
        type:
          type: string
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - name
        - type
        - key
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````